Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.das
Interface PreparedExpression

    public interface PreparedExpression

This class is used to prepare and execute ad hoc queries.

Example:

       Context ctx = getContext();
       PreparedExpression expr = DataAccessServiceFactory.prepareExpression
          (ctx, "application_name",
           "declare variable $Name as xs:string external; " +
           "import schema namespace t1=\"ld:Proj/MyDS\" at \"ld:Proj/schemas/MyDS.xsd\"; " +
           "for $data in t1:func() where $data/first_name eq $Name return $data/child");
       expr.bindString(new QName("Name"), "Jim");
       DASResult

Method Summary
`void` | `bindBinary(javax.xml.namespace.QName qname, byte[] abyte0)` binds Binary DataType
`void` | `bindBoolean(javax.xml.namespace.QName qname, boolean flag)` binds Boolean DataType
`void` | `bindByte(javax.xml.namespace.QName qname, byte byte0)` binds Byte DataType
`void` | `bindDate(javax.xml.namespace.QName qname, java.sql.Date date)` binds Date DataType
`void` | `bindDateTime(javax.xml.namespace.QName qname, java.util.Calendar calendar)` binds Calendar DataType
`void` | `bindDateTime(javax.xml.namespace.QName qname, java.util.Date date)` binds DateTime DataType
`void` | `bindDateTime(javax.xml.namespace.QName qname, java.sql.Timestamp timestamp)` binds DateTime DataType
`void` | `bindDecimal(javax.xml.namespace.QName qname, java.math.BigDecimal bigdecimal)` binds BigDecimal DataType
`void` | `bindDouble(javax.xml.namespace.QName qname, double d)` binds double DataType
`void` | `bindElement(javax.xml.namespace.QName qname, org.w3c.dom.Element element)` binds Element DataType
`void` | `bindElement(javax.xml.namespace.QName qname, java.lang.String s)` binds Object DataType
`void` | `bindEmpty(javax.xml.namespace.QName qname)` binds empty sequence
`void` | `bindFloat(javax.xml.namespace.QName qname, float f)` binds float DataType
`void` | `bindInt(javax.xml.namespace.QName qname, int i)` binds int DataType
`void` | `bindLong(javax.xml.namespace.QName qname, long l)` binds long DataType
`void` | `bindObject(javax.xml.namespace.QName qname, java.lang.Object obj)` binds Object DataType
`void` | `bindShort(javax.xml.namespace.QName qname, short word0)` binds short DataType
`void` | `bindString(javax.xml.namespace.QName qname, java.lang.String s)` binds String DataType
`void` | `bindTime(javax.xml.namespace.QName qname, java.sql.Time time)` binds Time DataType
`void` | `bindURI(javax.xml.namespace.QName qname, java.net.URI uri)` binds URI DataType
`DASResult<java.lang.Object>` | `executeQuery()` Executes the prepared query.
`DASResult<java.lang.Object>` | `executeQuery(RequestConfig config)` Executes the prepared query.
`commonj.sdo.helper.HelperContext` | `getHelperContext()` Return the SDO HelperContext associated with this PreparedExpression.

Method Detail

### executeQuery

    DASResult<java.lang.Object> executeQuery()
                                             throws DASException

  Executes the prepared query.

  Returns:
    DASResult.
  Throws:
    `DASException`

### executeQuery

    DASResult<java.lang.Object> executeQuery(RequestConfig config)
                                             throws DASException

  Executes the prepared query.

  Parameters:
    `config` - A RequestConfig for controlling how the server will invoke this function, and for allowing return of out-of-band results such as server audit information. Note: Filtering ad-hoc queries via FilterXQuery is meaningless, so any FilterXQuery on this RequestConfig will be ignored.
  Returns:
    DASResult.
  Throws:
    `DASException`

### getHelperContext

    commonj.sdo.helper.HelperContext getHelperContext()

  Return the SDO HelperContext associated with this PreparedExpression. You must use the XMLHelper, etc. from this HelperContext when manipulating any DataObjects returning from this PreparedExpression.

### bindBinary

    void bindBinary(javax.xml.namespace.QName qname,
                    byte[] abyte0)

  binds Binary DataType

  Parameters:
    `qname` - The Qname
    `abyte0` - The Byte array

### bindBoolean

    void bindBoolean(javax.xml.namespace.QName qname,
                     boolean flag)

  binds Boolean DataType

  Parameters:
    `qname` - The Qname
    `flag` - The Boolean value

### bindByte

    void bindByte(javax.xml.namespace.QName qname,
                  byte byte0)

  binds Byte DataType

  Parameters:
    `qname` - The Qname
    `byte0` - The byte value

### bindDate

    void bindDate(javax.xml.namespace.QName qname,
                  java.sql.Date date)

  binds Date DataType

  Parameters:
    `qname` - The Qname
    `date` - The Date value

### bindDateTime

    void bindDateTime(javax.xml.namespace.QName qname,
                      java.util.Date date)

  binds DateTime DataType

  Parameters:
    `qname` - The Qname
    `date` - The Date value

### bindDateTime

    void bindDateTime(javax.xml.namespace.QName qname,
                      java.sql.Timestamp timestamp)

  binds DateTime DataType

  Parameters:
    `qname` - The Qname
    `timestamp` - The Timestamp value

### bindDateTime

    void bindDateTime(javax.xml.namespace.QName qname,
                      java.util.Calendar calendar)

  binds Calendar DataType

  Parameters:
    `qname` - The Qname
    `calendar` - The Calendar value

### bindDecimal

    void bindDecimal(javax.xml.namespace.QName qname,
                     java.math.BigDecimal bigdecimal)

  binds BigDecimal DataType

  Parameters:
    `qname` - The Qname
    `bigdecimal` - The BigDecimal value

### bindDouble

    void bindDouble(javax.xml.namespace.QName qname,
                    double d)

  binds double DataType

  Parameters:
    `qname` - The Qname
    `d` - The double value

### bindFloat

    void bindFloat(javax.xml.namespace.QName qname,
                   float f)

  binds float DataType

  Parameters:
    `qname` - The Qname
    `f` - The float value

### bindInt

    void bindInt(javax.xml.namespace.QName qname,
                 int i)

  binds int DataType

  Parameters:
    `qname` - The Qname
    `i` - The Integer value

### bindLong

    void bindLong(javax.xml.namespace.QName qname,
                  long l)

  binds long DataType

  Parameters:
    `qname` - The Qname
    `l` - The long value

### bindShort

    void bindShort(javax.xml.namespace.QName qname,
                   short word0)

  binds short DataType

  Parameters:
    `qname` - The Qname
    `word0` - The short value

### bindString

    void bindString(javax.xml.namespace.QName qname,
                    java.lang.String s)

  binds String DataType

  Parameters:
    `qname` - The Qname
    `s` - The String value

### bindTime

    void bindTime(javax.xml.namespace.QName qname,
                  java.sql.Time time)

  binds Time DataType

  Parameters:
    `qname` - The Qname
    `time` - The Time value

### bindURI

    void bindURI(javax.xml.namespace.QName qname,
                 java.net.URI uri)

  binds URI DataType

  Parameters:
    `qname` - The Qname
    `uri` - The URI value

### bindObject

    void bindObject(javax.xml.namespace.QName qname,
                    java.lang.Object obj)

  binds Object DataType

  Parameters:
    `qname` - The Qname
    `obj` - The Object value

### bindElement

    void bindElement(javax.xml.namespace.QName qname,
                     java.lang.String s)

  binds Object DataType

  Parameters:
    `qname` - The Qname
    `s` - The Element value

### bindElement

    void bindElement(javax.xml.namespace.QName qname,
                     org.w3c.dom.Element element)

  binds Element DataType

  Parameters:
    `qname` - The Qname
    `element` - The Element value

### bindEmpty

    void bindEmpty(javax.xml.namespace.QName qname)

  binds empty sequence

  Parameters:
    `qname` - The Qname

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.